package cn.estsh.i3plus.pojo.report.sqlpack;

import cn.estsh.i3plus.pojo.base.tool.HqlPack;
import cn.estsh.i3plus.pojo.report.bean.BrMenu;

/**
 * @Description : 报表对象封装
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2019-01-17 15:41
 * @Modify:
 **/
public class ReportHqlPack {

    /**
     * 目录查询封装
     * @param menu
     * @return
     */
    public static String packHqlBrMenu(BrMenu menu){
        StringBuffer result = new StringBuffer();

        // 查询参数封装
        HqlPack.getNumEqualPack(menu.getParentId(),"parentId",result);
        HqlPack.getNumEqualPack(menu.getMenuType(),"menuType",result);
        HqlPack.getNumEqualPack(menu.getMenuStatus(),"menuStatus",result);
        HqlPack.getStringLikerPack(menu.getName(),"name",result);
        HqlPack.getStringLikerPack(menu.getMenuCode(),"menuCode",result);

        // 添加默认排序
        HqlPack.getOrderDefault(menu);

        return result.toString();
    }

    /**
     * 报表元素查询
     * @param brElement
     * @return
     */
    public static String packHqlBrElement(BrElement brElement){
        StringBuffer result = new StringBuffer();

        // 查询参数封装
        HqlPack.getNumEqualPack(brElement.getElementType(),"elementType",result);
        HqlPack.getStringLikerPack(brElement.getElementName(),"elementName",result);

        return result.toString();
    }
}
